Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.intercept
Class SeamInvocationContext

    java.lang.Object
      org.jboss.seam.intercept.SeamInvocationContext

All Implemented Interfaces:
  InvocationContext

Direct Known Subclasses:
  EE5SeamInvocationContext

    public class SeamInvocationContext

extends Object
implements InvocationContext

Adapts from EJB interception to Seam component interceptors

Author:
  Gavin King

Constructor Summary
`SeamInvocationContext(InvocationContext context, EventType type, List<Object> userInterceptors, List<Interceptor> interceptors)`

Method Summary
`Map` | `getContextData()`
`Method` | `getMethod()`
`Object[]` | `getParameters()`
`Object` | `getTarget()`
`Object` | `proceed()`
`void` | `setParameters(Object[] params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamInvocationContext

    public SeamInvocationContext(InvocationContext context,
                                 EventType type,
                                 List<Object> userInterceptors,
                                 List<Interceptor> interceptors)

Method Detail

### getTarget

    public Object getTarget()

  Specified by:
    `getTarget` in interface `InvocationContext`

### getContextData

    public Map getContextData()

  Specified by:
    `getContextData` in interface `InvocationContext`

### getMethod

    public Method getMethod()

  Specified by:
    `getMethod` in interface `InvocationContext`

### getParameters

    public Object[] getParameters()

  Specified by:
    `getParameters` in interface `InvocationContext`

### proceed

    public Object proceed()
                   throws Exception

  Specified by:
    `proceed` in interface `InvocationContext`
  Throws:
    `Exception`

### setParameters

    public void setParameters(Object[] params)

  Specified by:
    `setParameters` in interface `InvocationContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD